Bug 692687 - missing dependency on globus-common-devel
Summary: missing dependency on globus-common-devel
Status: CLOSED DUPLICATE of bug 695640
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: globus-gridftp-server
Version: el5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-31 20:31 UTC by Dennis van Dok
Modified: 2011-04-25 09:19 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-04-25 09:19:43 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 692678 None None None Never

Internal Trackers: 692678

Description Dennis van Dok 2011-03-31 20:31:12 UTC
Description of problem:

The file /usr/include/globus/globus_gridftp_server.h from globus-gridftp-server-devel contains

#include "globus_common.h"

This header file is provided by globus-common-devel, but no dependency is defined
in the RPM.

Version-Release number of selected component (if applicable):

3.28-1.el5

How reproducible:

trivial

Steps to Reproduce:
1. yum install globus-gridftp-server-devel
2. rpm -q --requires globus-gridftp-server-devel
3. observe missing dependency

Actual results:

globus-authz-devel  
globus-ftp-control-devel >= 1
globus-gfork-devel  
globus-gridftp-server = 3.28-1.el5
globus-gridftp-server-control-devel  
globus-usage-devel >= 1
globus-xio-devel  
globus-xio-gsi-driver-devel  
libglobus_gridftp_server.so.0  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
globus-authz-devel  
globus-ftp-control-devel >= 1
globus-gfork-devel  
globus-gridftp-server = 3.28-1.el5
globus-gridftp-server-control-devel  
globus-usage-devel >= 1
globus-xio-devel  
globus-xio-gsi-driver-devel  
libglobus_gridftp_server.so.0()(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1



Expected results:

the above, including
globus-common-devel


Additional info:

As observed on a CentOS 5 machine.

Comment 1 Mattias Ellert 2011-04-25 09:19:43 UTC

*** This bug has been marked as a duplicate of bug 695640 ***


Note You need to log in before you can comment on or make changes to this bug.